Subject: Re: bug#18856: 24.4; *grep* output buffer not getting fontified when jit-lock-defer-time is used

From: Stefan Monnier <[email-masked]>
Date: Tue, 28 Oct 2014 13:09:02 -0400

> You should be able to see that the *grep* buffer capturing grep's output
> is not getting fontified until you hit a key. I would expect that it
> gets fontified automatically when new output arrives.

That's probably because the jit-lock-defer defers fontification to an
idle-timer, but process output is not considered as "activity" so the
idle timers aren't re-run after process output is received.

IOW jit-lock-defer should use a non-idle timer for this case.

Note that an alternative implementation of jit-lock-defer which only
defers when there is not input pending would supposedly not suffer from
this problem since it wouldn't defer fontification in this case (of
course, that would suffer from the reverse problem that by failing to
defer fontification, the redisplay may not be able to keep up with
process output).

        Stefan